You're viewing **Apigee Edge** documentation.  
[Go to the
**Apigee X** documentation](http://cloud.google.com/apigee/docs). info

On May 26, 2022, we released a new version of Apigee Edge for Private Cloud.

**Note:** This version will be supported until May 26, 2023.

> [!NOTE]
> **Note about the Apache Log4j vulnerability:**
>
> <br />
>
> Edge for Private Cloud's default configuration contains Log4j 2 but
> is not vulnerable to Log4j 2
> ([CVE-2021-44228](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-44228)).
>
> Likewise, Edge for Private Cloud is not affected by the
> related vulnerability in Apache Log4j-1.x, which is shipped with ZooKeeper. That
> vulnerability requires a
> specific configuration of Log4j-1.x that Edge for Private Cloud
> does not ship as a default configuration. Therefore the vulnerability is not
> exploitable in Edge for Private Cloud.

> [!NOTE]
> For more information, see the following resources:
>
> - *[Edge for Private Cloud 4.51.00
>   documentation](https://docs.apigee.com/private-cloud/v4.51.00)*
> - *Questions or issues?* Contact [Apigee Edge Support](https://docs.apigee.com/api-platform/troubleshoot/support.md.txt)
> - *[Edge for Private Cloud support timeline](https://docs.apigee.com/release/apigee-edge-release-process.md.txt#apigee-edge-for-private-cloud-support-timeline)*
> - *Release notifications* : See [Get Apigee Edge release notifications](https://docs.apigee.com/release/get-release-notifications.md.txt)

## Update procedure

Updating this release will update the components in the following list of RPMs:

- edge-gateway-4.51.00-0.0.60168.noarch.rpm
- edge-management-server-4.51.00-0.0.60168.noarch.rpm
- edge-message-processor-4.51.00-0.0.60168.noarch.rpm
- edge-postgres-server-4.51.00-0.0.60168.noarch.rpm
- edge-qpid-server-4.51.00-0.0.60168.noarch.rpm
- edge-router-4.51.00-0.0.60168.noarch.rpm
- edge-ui-4.51.00-0.0.20212.noarch.rpm
- edge-mint-gateway-4.51.00-0.0.40290.noarch.rpm
- edge-mint-management-server-4.51.00-0.0.40290.noarch.rpm
- edge-mint-message-processor-4.51.00-0.0.40290.noarch.rpm
- apigee-mtls-4.51.00-0.0.20243.noarch.rpm
- apigee-sso-4.51.00-0.0.21118.noarch.rpm

You can check the RPM versions you currently have installed, to see if they
need to be updated, by entering:

```
apigee-all version
```

To update your installation, perform the following procedure on the Edge nodes:

1. On all Edge nodes:

   1. Clean the Yum repos:

      ```
      sudo yum clean all
      ```
   2. Download the latest Edge 4.51.00 `bootstrap_4.51.00.sh` file to `/tmp/bootstrap_4.51.00.sh`:

      ```
      curl https://software.apigee.com/bootstrap_4.51.00.sh -o /tmp/bootstrap_4.51.00.sh
      ```
   3. Install the Edge 4.51.00 `apigee-service` utility and dependencies:

      ```
      sudo bash /tmp/bootstrap_4.51.00.sh apigeeuser=uName apigeepassword=pWord
      ```

      where <var translate="no">uName</var> and <var translate="no">pWord</var> are the username and password you received from Apigee.
      If you omit <var translate="no">pWord</var>, you will be prompted to enter it.
   4. Use the `source` command to execute the apigee-service.sh script:

      ```
      source /etc/profile.d/apigee-service.sh
      ```
2. On all Edge nodes, execute the `update.sh` script for the edge process:

   ```
   /opt/apigee/apigee-setup/bin/update.sh -c edge -f configFile
   ```
3. Execute the update.sh script for SSO on all nodes:

   ```
   /opt/apigee/apigee-setup/bin/update.sh -c sso -f configFile
   ```
4. On all UI nodes, execute the update.sh script for the UI:

   ```
   /opt/apigee/apigee-setup/bin/update.sh -c ui -f configFile
   ```
5. If you are using the New Edge experience, execute the following command:

   ```
   /opt/apigee/apigee-setup/bin/update.sh -c ue -f configFile
   ```
6. If you are using Apigee mTLS, follow the procedure described in [Upgrade Apigee mTLS](https://docs.apigee.com/private-cloud/v4.51.00/mtls-upgrade.md.txt). For more information, see [Introduction to Apigee
   mTLS](https://docs.apigee.com/private-cloud/v4.51.00/mtls-intro).

## Security issues fixed

The following is a list of known security issues that have been fixed in this release.
To avoid these issues, install the latest version of Edge Private Cloud.

| Issue ID | Description |
|---|---|
| 227426378 | A security issue related to YAML processing has been fixed. |
| 218520309 | The Apigee Edge UI has been audited and updated based on the latest Content Security Policy standards. |

## Changes to
[supported software](https://docs.apigee.com/release/supported-software.md.txt#apigeeedgeforprivatecloudsupportedversions)

There are no changes to supported software in this release.

## Deprecations and retirements

There are no new deprecations or retirements in this release.

## New features

There are no new features in this release.

## Bug fixes

This section lists the Private Cloud bugs that were fixed in this release.

| Issue ID | Description |
|---|---|
| 223385098 | **In the Audits API, a few records were missing when `startDate` and `endDate` were passed in query parameters** This has been fixed. |
| 231686222 | **Installing the New Edge UI was returning the error "Authentication failed for client ssoadmin" in setup-root.log** Installation has been updated to support HTTP/2, which fixed the issue. |
| 183748213 | **LDAP was not working with `get_token` usernames that were not emails** This has been fixed. |
| 183449099 | **The Edge UI only supported usernames in email format** A config property has been added to allow non-email usernames. |
| 190609332 | **Installing SSO was returning uninformative error messages when curl responses were non-200** This has been fixed. |
| 119911660 | **Using a service callout twice in a proxy was appending URL path to itself during runtime** This has been fixed. |
| 230583376 | **Mint has been enhanced so that Transaction Success Criteria based on txnProviderStatus can be evaluated on Message Processors and transactions dropped if the criteria fails** |
| 222437633 | **For Apigee SSO, there were no configurable properties for cipher suites** This has been fixed. |
| 183496854 | **An error message for creating aliases was not informative** Changed error message for Invalid RSA key from "Failed to load PKCS File :Failed to convert pem to der" to "Failed to load PKCS File :Invalid RSA key". |
| 229621965 | **A Base64 decode exception was occurring for apps whose secrets had non-ASCII characters** This has been fixed. |
| 217173784 | **`HMAC.<PolicyName>.error` was not being captured when errors occurred** This has been fixed. |
| 226984724 | **Message processors were not reading all properties set on Analytics groups** This has been fixed. |

## Known issues

See [Known issues with Edge for Private Cloud](https://docs.apigee.com/release/known-issues.md.txt#private-cloud)
for a complete list of known issues.